Subject: Evolutionary Essays for group in Andrha Pradesh, India

From: "David Fitzgerald" <[email-masked]>
Date: Fri, 17 Feb 2006 14:55:52 -0800

Hi all:
As a follow-up to my last letter, if anyone knows of any good
Darwin/Evolution-related essays, please feel free to pass them on to Battini
Rao at [email-masked]

His group is looking for articles on Darwin & Evo to use in promoting Darwin
Day in India.
Thanks!
-D